$(function() {
	refresh(null);
});
function setSize(width,height){
    $("#container").css("width",width);
    $("#container").css("height",height);
}

function f2(msg) {
	Client.showInfoFromJs(msg);
}

function refresh(jsonStr) {
	if(jsonStr == null) {
		return;
	}
	var json = JSON.parse(jsonStr);

    var chart = new Highcharts.chart('container', {
               chart: {
                  type: 'line'
               },
               credits: {
                  enabled:false//取消水印
               },
               colors: ['#1c81e8','#1ce8ac'],
               title: {
                  text: json.title,
                  style:{
                         fontSize: '13px'
                  }
               },
               xAxis: {
                  categories:json.createTime
               },
               yAxis: {
                   title: {
                        text: ''
                    }
               },
               plotOptions: {
                   line: {
                       dataLabels: {
                          enabled: true          // 开启数据标签
                       },
                       enableMouseTracking: false // 关闭鼠标跟踪，对应的提示框、点击事件会失效
                   }
               },

               series: [{
                            name: '高压',
                            data: json.highMmHg
                        },
                         {
                            name: '低压',
                            data: json.lowMmHg
                        }],
               lang: {
                       noData: "暂无数据" //真正显示的文本
                   },
                   noData: {
                       // Custom positioning/aligning options
                       position: {    //相对于绘图区定位无数据标签的位置。 默认值：[object Object].
                           align: 'center',
                           verticalAlign: 'middle'
                       },
                       // Custom svg attributes
                       attr: {     //无数据标签中额外的SVG属性
                           //'stroke-width': 1,
                           // stroke: '#cccccc'
                       },
                       // Custom css
                       style: {    //对无数据标签的CSS样式。 默认值：[object Object].
                           fontWeight: 'bold',
                           fontSize: '15px',
                           color: '#202030'
                       }
                   }


        });
};