
Highcharts.setOptions({
    global: {
        useUTC: false
    },
      colors: ['#de5309']
});
function activeLastPointToolip(chart) {
    var points = chart.series[0].points;
    chart.tooltip.refresh(points[points.length -1]);
}
$('#container').highcharts({
    chart: {
        type: 'line',
        animation:Highcharts.svg,
        events: {
            load: function () {
                /*
                // set up the updating of the chart each second
                var series = this.series[0],
                    chart = this;
                setInterval(function () {
                    var x = (new Date()).getTime(), // current time
                        y = Math.random();
                    series.addPoint([x, y], true, true);
                    activeLastPointToolip(chart)
                }, 1000);
                */
            }
        }
    },
    title: {
        text: ''
    },
      credits: {
              enabled:false
           },
     xAxis: {
                               type: 'datetime',
                               tickPixelInterval: 150,
                               minorGridLineColor:'#f0f0f0',
                               minorGridLineWidth:1,
                               minorTickInterval:'auto',
                               },
                               plotOptions:{
                               series:{
                               marker:{
                               enabled:false
                               }
                               },

                               },
                               yAxis: {
                               title: {
                               text: ''
                               },
                               minorGridLineColor:'#f0f0f0',
                               minorGridLineWidth:1,
                               minorTickInterval:'auto',
                               plotLines: [{
                                           value: 0,
                                           width: 1,
                                           color: '#808080'
                                           }]
                               },
    plotOptions:{
        series:{
            marker:{
                enabled:false
            }
        }
    },

    tooltip: {
        formatter: function () {
            return '<b>' + this.series.name + '</b><br/>' +
                Highcharts.dateFormat('%Y-%m-%d %H:%M:%S', this.x) + '<br/>' +
                Highcharts.numberFormat(this.y, 2);
        }
    },
    legend: {
        enabled: false
    },
    exporting: {
        enabled: false
    }
    ,
    series: [{
        name: '当前压力',
        data: (function () {
            // generate an array of random data

            var data = [],
                time = (new Date()).getTime(),
                i;
            for (i = -30; i <= 0; i += 1) {
                data.push({
                    x: time + i * 1000,
                    y: 0
                });
            }
            return data;
			/**/
        }())
    }]
}, function(c) {
    activeLastPointToolip(c)
});

var chatInstatnce = $('#container').highcharts('');
// console.log(chatInstatnce);

function addPoint(point) {
    var chart = chatInstatnce;
    var series = chart.series[0];
	var x = (new Date()).getTime();
	var y = point;
    series.addPoint([x, y], true, true);
    activeLastPointToolip(chart);
}